<?php
defined('TYPO3') or die();

call_user_func(function () {


    $additionalColumns = [
		'tx_igcontainer_large_width' => [
            'exclude' => 1,
            'displayCond' =>  [
                'AND' => [
                    'FIELD:colPos:=:10',
                    'FIELD:tx_container_parent:>:0',
                ],
            ],
            'label' => 'LLL:EXT:ig_container/Resources/Private/Language/locallang_tca.xlf:ig_container_column_tx_igcontainer_large_width',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => [
                    ['', ''],
                    ['5%', '5'],
                    ['10%', '10'],
                    ['20%', '20'],
                    ['25%', '25'],
                    ['30%', '30'],
                    ['33%', '33.333'],
                    ['38%', '38'],
                    ['40%', '40'],
                    ['50%', '50'],
                    ['60%', '60'],
                    ['62%', '62'],
                    ['66%', '66.666'],
                    ['70%', '70'],
                    ['75%', '75'],
                    ['80%', '80'],
                    ['90%', '90'],
                    ['100%', '100'],
                ],
                'size' => '1',
                'maxitems' => 1,
                //'default' => '25',
						     
            ]
        ],
		'tx_igcontainer_medium_width' => [
            'exclude' => 1,
            'displayCond' =>  [
                'AND' => [
                    'FIELD:colPos:=:10',
                    'FIELD:tx_container_parent:>:0',
                ],
            ],
            'label' => 'LLL:EXT:ig_container/Resources/Private/Language/locallang_tca.xlf:ig_container_column_tx_igcontainer_medium_width',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => [
                    ['', ''],
                    ['5%', '5'],
                    ['10%', '10'],
                    ['20%', '20'],
                    ['25%', '25'],
                    ['30%', '30'],
                    ['33%', '33.333'],
                    ['38%', '38'],
                    ['40%', '40'],
                    ['50%', '50'],
                    ['60%', '60'],
                    ['62%', '62'],
                    ['66%', '66.666'],
                    ['70%', '70'],
                    ['75%', '75'],
                    ['80%', '80'],
                    ['90%', '90'],
                    ['100%', '100'],
                ],
                'size' => '1',
                'maxitems' => 1,
                //'default' => '25',
						     
            ]
        ],
		'tx_igcontainer_small_width' => [
            'exclude' => 1,
            'displayCond' =>  [
                'AND' => [
                    'FIELD:colPos:=:10',
                    'FIELD:tx_container_parent:>:0',
                ],
            ],
            'label' => 'LLL:EXT:ig_container/Resources/Private/Language/locallang_tca.xlf:ig_container_column_tx_igcontainer_small_width',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'items' => [
                    ['', ''],
                    ['5%', '5'],
                    ['10%', '10'],
                    ['20%', '20'],
                    ['25%', '25'],
                    ['30%', '30'],
                    ['33%', '33.333'],
                    ['38%', '38'],
                    ['40%', '40'],
                    ['50%', '50'],
                    ['60%', '60'],
                    ['62%', '62'],
                    ['66%', '66.666'],
                    ['70%', '70'],
                    ['75%', '75'],
                    ['80%', '80'],
                    ['90%', '90'],
                    ['100%', '100'],
                ],
                'size' => '1',
                'maxitems' => 1,
                //'default' => '25',
						     
            ]
        ]


    ];

    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility :: addTCAcolumns ( 'tt_content', $additionalColumns);
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes('tt_content','tx_igcontainer_large_width,tx_igcontainer_medium_width,tx_igcontainer_small_width','' , 'after:tx_container_container' );//, 'tx_container_container', 'after:tx_container_columns');



    // Alte ximagegalerie
    /*\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue(
        '*',
        'FILE:EXT:ig_container/Resources/Private/container/ig-galerie.xml',
        'ximagegalerie'
    );
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes ( 'tt_content', 'pi_flexform;;;;1-1-1,', 'ximagegalerie', 'after:select_key' );*/




});
